#ifndef _Handle_PDataStd_VArrayNodeOfFieldOfHArray1OfByte_HeaderFile
#define _Handle_PDataStd_VArrayNodeOfFieldOfHArray1OfByte_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PStandard_ArrayNode_HeaderFile
#include <Handle_PStandard_ArrayNode.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PStandard_ArrayNode);
class PDataStd_VArrayNodeOfFieldOfHArray1OfByte;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PDataStd_VArrayNodeOfFieldOfHArray1OfByte);

class Handle(PDataStd_VArrayNodeOfFieldOfHArray1OfByte) : public Handle(PStandard_ArrayNode) {
  public:

    Handle(PDataStd_VArrayNodeOfFieldOfHArray1OfByte)():Handle(PStandard_ArrayNode)() {} 
    Handle(PDataStd_VArrayNodeOfFieldOfHArray1OfByte)(const Handle(PDataStd_VArrayNodeOfFieldOfHArray1OfByte)& aHandle) : Handle(PStandard_ArrayNode)(aHandle) 
     {
     }

    Handle(PDataStd_VArrayNodeOfFieldOfHArray1OfByte)(const PDataStd_VArrayNodeOfFieldOfHArray1OfByte* anItem) : Handle(PStandard_ArrayNode)((PStandard_ArrayNode *)anItem) 
     {
     }

    Handle(PDataStd_VArrayNodeOfFieldOfHArray1OfByte)& operator=(const Handle(PDataStd_VArrayNodeOfFieldOfHArray1OfByte)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PDataStd_VArrayNodeOfFieldOfHArray1OfByte)& operator=(const PDataStd_VArrayNodeOfFieldOfHArray1OfByte* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PDataStd_VArrayNodeOfFieldOfHArray1OfByte* operator->() const 
     {
      return (PDataStd_VArrayNodeOfFieldOfHArray1OfByte *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PDataStd_VArrayNodeOfFieldOfHArray1OfByte) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
